Bug 733326 - gnome bluetooth udev rules for rfkill needs to match only the device node device
Summary: gnome bluetooth udev rules for rfkill needs to match only the device node device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 13:37 UTC by Lennart Poettering
Modified: 2011-12-17 14:02 UTC (History)
4 users (show)

Fixed In Version: gnome-bluetooth-3.2.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:40:56 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-25 13:37:41 UTC
Right now stuff like the uaccess tag are applied to all rfkill directories, including /sys/modules/rfkill, which is quite broken. The udev rule should be tightened to actually apply the uaccess only to the device node device, and nothing else.

Comment 1 Matthias Clasen 2011-09-03 00:22:26 UTC
Can you do the necessary changes, or at least propose here how you expect the rule to look ?

Comment 2 Lennart Poettering 2011-09-05 23:46:27 UTC
Kay, can you suggest a good udev config line to Matthias?

Comment 3 Kay Sievers 2011-09-05 23:58:57 UTC
I guess the entire content of the file can be replaced with:
  KERNEL=="rfkill", SUBSYSTEM=="misc", TAG+="uaccess"

Comment 4 Matthias Clasen 2011-09-08 00:41:13 UTC
I would do the change, but I don't have any bluetooth devices to test this with.

Comment 5 Fedora Update System 2011-09-08 14:48:15 UTC
gnome-bluetooth-3.1.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-bluetooth-3.1.4-3.fc16

Comment 6 Fedora Update System 2011-09-08 20:49:37 UTC
Package gnome-bluetooth-3.1.4-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-bluetooth-3.1.4-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-bluetooth-3.1.4-3.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-20 14:50:55 UTC
gnome-bluetooth-3.1.92-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-bluetooth-3.1.92-1.fc16

Comment 8 Fedora Update System 2011-09-26 12:39:48 UTC
gnome-bluetooth-3.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-bluetooth-3.2.0-1.fc16

Comment 9 Fedora Update System 2011-10-09 19:40:56 UTC
gnome-bluetooth-3.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 serverherder 2011-12-16 19:48:47 UTC
I see incorrect permissions on the /dev/rfkill device with 3.2.1-2 where perms are 644 and owner is root.  Using this UDEV rule corrects the issue: 

http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-bluetooth/debian/61-gnome-bluetooth-rfkill.rules

Comment 11 Kay Sievers 2011-12-17 14:02:43 UTC
You probably just need the rule in:
  https://bugzilla.redhat.com/show_bug.cgi?id=733326#c3

Systemd systems do not use udev-acl.


Note You need to log in before you can comment on or make changes to this bug.